DynamicSPNegoSchemeFactory (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.control, class: DynamicSPNegoSchemeFactory

Package org.apache.jmeter.protocol.http.control

# Class DynamicSPNegoSchemeFactory

java.lang.Object
org.apache.http.impl.auth.SPNegoSchemeFactory
org.apache.jmeter.protocol.http.control.DynamicSPNegoSchemeFactory

All Implemented Interfaces:
  `org.apache.http.auth.AuthSchemeFactory`, `org.apache.http.auth.AuthSchemeProvider`

public class DynamicSPNegoSchemeFactory extends org.apache.http.impl.auth.SPNegoSchemeFactory
Extends `SPNegoSchemeFactory` to provide ability to customize stripPort setting in `SPNegoScheme` based on `HttpContext`

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DynamicSPNegoSchemeFactory(boolean stripPort, boolean useCanonicalHostname)`
  Constructor for DynamicSPNegoSchemeFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.http.auth.AuthScheme`
  `create(org.apache.http.protocol.HttpContext context)`

  ### Methods inherited from class org.apache.http.impl.auth.SPNegoSchemeFactory

  `isStripPort, isUseCanonicalHostname, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DynamicSPNegoSchemeFactory

    public DynamicSPNegoSchemeFactory(boolean stripPort, boolean useCanonicalHostname)
    Constructor for DynamicSPNegoSchemeFactory
    Parameters:
      `stripPort` - flag, whether port should be stripped from SPN
      `useCanonicalHostname` - flag, whether SPN should use the canonical hostname
    Since:
      4.0

- ## Method Details

  - ### create

    public org.apache.http.auth.AuthScheme create(org.apache.http.protocol.HttpContext context)
    Specified by:
      `create` in interface `org.apache.http.auth.AuthSchemeProvider`
    Overrides:
      `create` in class `org.apache.http.impl.auth.SPNegoSchemeFactory`